Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.configuration
Class SearchScreenConfig

    java.lang.Object
      com.sun.mdm.index.edm.services.configuration.SearchScreenConfig

All Implemented Interfaces:
  java.io.Serializable

public class SearchScreenConfig
extends java.lang.Object
implements java.io.Serializable

Search Result configurations

See Also:
  Serialized Form

Constructor Summary
`SearchScreenConfig(ObjectNodeConfig rootObj, java.lang.String screenTitle, java.lang.String instruction, int searchResultID, int screenOrder, boolean showEUID, boolean showLID, boolean showCreateDate, boolean showCreateTime, boolean showStatus, SearchScreenOptions options, java.util.ArrayList fieldConfigs)` Creates a new instance of the SearchScreenConfig class
`SearchScreenConfig(ObjectNodeConfig rootObj, java.lang.String screenTitle, java.lang.String instruction, int searchResultID, int screenOrder, boolean showEUID, boolean showLID, SearchScreenOptions options, java.util.ArrayList fieldConfigs)` Creates a new instance of the SearchScreenConfig class

Method Summary
`java.util.ArrayList` | `getFieldConfigs()` Getter for the mFieldConfigs attribute
`java.lang.String` | `getInstruction()` Getter for the mInstruction attribute
`SearchScreenOptions` | `getOptions()` Getter for the mOptions attribute
`ObjectNodeConfig` | `getRootObj()` Getter for the mRootObj attribute
`int` | `getScreenOrder()` Getter for the mScreenOrder attribute
`java.lang.String` | `getScreenTitle()` Getter for the mScreenTitle attribute
`int` | `getSearchResultID()` Getter for the mSearchResultID attribute
`boolean` | `getShowCreateDate()` Getter for the mShowCreateDate attribute
`boolean` | `getShowCreateTime()` Getter for the mShowCreateTime attribute
`boolean` | `getShowEUID()` Getter for the mShowEUID attribute
`boolean` | `getShowLID()` Getter for the mShowLID attribute
`boolean` | `getShowStatus()` Getter for the mShowStatus attribute

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchScreenConfig

    public SearchScreenConfig(ObjectNodeConfig rootObj,
                              java.lang.String screenTitle,
                              java.lang.String instruction,
                              int searchResultID,
                              int screenOrder,
                              boolean showEUID,
                              boolean showLID,
                              boolean showCreateDate,
                              boolean showCreateTime,
                              boolean showStatus,
                              SearchScreenOptions options,
                              java.util.ArrayList fieldConfigs)

  Creates a new instance of the SearchScreenConfig class

  Parameters:
    `rootObj` - The ObjectNodeConfig instance to which a SearchScreenConfig instance belongs.
    `screenTitle` - The title of the search screen.
    `instruction` - The instructions for the search screen.
    `searchResultID` - The unique identifier for a SearchResultsConfig instance. It identifies the Search Results screen configuration specifying how to display the search results obtained from this particular search screen.
    `screenOrder` - This is the order in which the search screen will be displayed, starting from 0 and increasing. A value of 0 means that it will be the first search screen displayed.
    `showEUID` - Indicates if the EUID should be displayed.
    `showLID` - Indicates if the LID should be displayed.
    `showCreateDate` - Indicates if the Create Date should be displayed.
    `showCreateTime` - Indicates if the Create Time should be displayed.
    `showStatus` - Indicates if the Status should be displayed.
    `options` - These are the search options
    `fieldConfigs` - The configurations for the fields to be displayed.

### SearchScreenConfig

    public SearchScreenConfig(ObjectNodeConfig rootObj,
                              java.lang.String screenTitle,
                              java.lang.String instruction,
                              int searchResultID,
                              int screenOrder,
                              boolean showEUID,
                              boolean showLID,
                              SearchScreenOptions options,
                              java.util.ArrayList fieldConfigs)

  Creates a new instance of the SearchScreenConfig class

  Parameters:
    `rootObj` - The ObjectNodeConfig instance to which a SearchScreenConfig instance belongs.
    `screenTitle` - The title of the search screen.
    `instruction` - The instructions for the search screen.
    `searchResultID` - The unique identifier for a SearchResultsConfig instance. It identifies the Search Results screen configuration specifying how to display the search results obtained from this particular search screen.
    `screenOrder` - This is the order in which the search screen will be displayed, starting from 0 and increasing. A value of 0 means that it will be the first search screen displayed.
    `showEUID` - Indicates if the EUID should be displayed.
    `showLID` - Indicates if the LID should be displayed.
    `options` - These are the search options
    `fieldConfigs` - The configurations for the fields to be displayed.

Method Detail

### getFieldConfigs

    public java.util.ArrayList getFieldConfigs()

  Getter for the mFieldConfigs attribute

  Returns:
    ArrayList of FieldConfig objects.

### getInstruction

    public java.lang.String getInstruction()

  Getter for the mInstruction attribute

  Returns:
    Instruction for the search screen.

### getOptions

    public SearchScreenOptions getOptions()

  Getter for the mOptions attribute

  Returns:
    Options for the search screen.

### getRootObj

    public ObjectNodeConfig getRootObj()

  Getter for the mRootObj attribute

  Returns:
    Configuration image for the root object.

### getScreenOrder

    public int getScreenOrder()

  Getter for the mScreenOrder attribute

  Returns:
    The order in which the search screen is to be displayed, starting from 0 and increasing. A value of 0 means that it will be the first search screen displayed.

### getScreenTitle

    public java.lang.String getScreenTitle()

  Getter for the mScreenTitle attribute

  Returns:
    Title of the search screen.

### getSearchResultID

    public int getSearchResultID()

  Getter for the mSearchResultID attribute

  Returns:
    The unique identifier for this instance of a SearchResultsConfig object. This is used to determine which SearchResultsConfig object to use for displaying the results of a search.

### getShowCreateDate

    public boolean getShowCreateDate()

  Getter for the mShowCreateDate attribute

  Returns:
    Boolean value indicating whether or not to display the Create Date.

### getShowCreateTime

    public boolean getShowCreateTime()

  Getter for the mShowCreateTime attribute

  Returns:
    Boolean value indicating whether or not to display the Create Time.

### getShowEUID

    public boolean getShowEUID()

  Getter for the mShowEUID attribute

  Returns:
    Boolean value indicating whether or not to display the EUID.

### getShowLID

    public boolean getShowLID()

  Getter for the mShowLID attribute

  Returns:
    Boolean value indicating whether or not to display the LID.

### getShowStatus

    public boolean getShowStatus()

  Getter for the mShowStatus attribute

  Returns:
    Boolean value indicating whether or not to display the Status.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.